ReactPhysics3D: reactphysics3d::NarrowPhaseInput Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
reactphysics3d::NarrowPhaseInput Class Reference

This structure contains everything that is needed to perform the narrow-phase collision detection. More...

`#include <include/reactphysics3d/collision/narrowphase/NarrowPhaseInput.h>`

## Public Member Functions
| NarrowPhaseInput (MemoryAllocator &allocator, OverlappingPairs &overlappingPairs)
| Constructor.
void | addNarrowPhaseTest (uint64 pairId, Entity collider1, Entity collider2, CollisionShape *shape1, CollisionShape *shape2, const Transform &shape1Transform, const Transform &shape2Transform, NarrowPhaseAlgorithmType narrowPhaseAlgorithmType, bool reportContacts, LastFrameCollisionInfo *lastFrameInfo, MemoryAllocator &shapeAllocator)
| Add shapes to be tested during narrow-phase collision detection into the batch.
NarrowPhaseInfoBatch & | getSphereVsSphereBatch ()
| Get a reference to the sphere vs sphere batch.
NarrowPhaseInfoBatch & | getSphereVsCapsuleBatch ()
| Get a reference to the sphere vs capsule batch.
NarrowPhaseInfoBatch & | getCapsuleVsCapsuleBatch ()
| Get a reference to the capsule vs capsule batch.
NarrowPhaseInfoBatch & | getSphereVsConvexPolyhedronBatch ()
| Get a reference to the sphere vs convex polyhedron batch.
NarrowPhaseInfoBatch & | getCapsuleVsConvexPolyhedronBatch ()
| Get a reference to the capsule vs convex polyhedron batch.
NarrowPhaseInfoBatch & | getConvexPolyhedronVsConvexPolyhedronBatch ()
| Get a reference to the convex polyhedron vs convex polyhedron batch.
void | reserveMemory ()
| Reserve memory for the containers with cached capacity.
void | clear ()
| Clear.

## Detailed Description

This structure contains everything that is needed to perform the narrow-phase collision detection.

The documentation for this class was generated from the following files:

- include/reactphysics3d/collision/narrowphase/NarrowPhaseInput.h
- src/collision/narrowphase/NarrowPhaseInput.cpp